package com.hz.pm.api.projectlib;

import com.hz.pm.api.AppTests;
import com.hz.pm.api.projectlib.entity.QxProjectSystemReplaceInfos;
import com.hz.pm.api.projectlib.entity.QxProjectSystemReplaceInfosRelation;
import com.hz.pm.api.projectlib.service.IQxProjectSystemReplaceInfosRelationService;
import com.hz.pm.api.projectlib.service.IQxProjectSystemReplaceInfosService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * ProjectTests
 * </p>
 *
 * @author WendyYang
 * @since 21:00 2024/8/31
 */
public class ProjectTest extends AppTests {

    @Autowired
    private IQxProjectSystemReplaceInfosRelationService qxProjectSystemReplaceInfosRelationService;
    @Autowired
    private IQxProjectSystemReplaceInfosService qxProjectSystemReplaceInfosService;


    @Test
    public void test() {
        List<QxProjectSystemReplaceInfos> list = qxProjectSystemReplaceInfosService.list();
        for (QxProjectSystemReplaceInfos infos : list) {
            for (String s : infos.getSourceSystemIds().split(",")) {
                QxProjectSystemReplaceInfosRelation relation = new QxProjectSystemReplaceInfosRelation();
                relation.setProjectId(infos.getProjectId());
                relation.setReplaceInfosId(infos.getId());
                relation.setSourceSystemId(s);
                qxProjectSystemReplaceInfosRelationService.save(relation);
            }

        }
    }

}
